summaryrefslogtreecommitdiff
path: root/TRNS/run-paper-weak.sh
diff options
context:
space:
mode:
Diffstat (limited to 'TRNS/run-paper-weak.sh')
-rwxr-xr-xTRNS/run-paper-weak.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/TRNS/run-paper-weak.sh b/TRNS/run-paper-weak.sh
new file mode 100755
index 0000000..0840260
--- /dev/null
+++ b/TRNS/run-paper-weak.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+echo "prim-benchmarks BS weak (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# 256 and 512 are not part of upstream
+for nr_dpus in 256 512 1 4 16 64; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 -p 1 -o 12288 -x 0 || true
+ fi
+ done
+done | tee log-paper-weak.txt